Skip to main content
OutSystems

Warning while Deploying to your Personal Environment: "Incomplete Upgrade (...)"

Symptoms

While deploying an application in your Personal Environment, a warning message is shown:

Incomplete Upgrade
Module 'Charts' was deployed with an old OutSystems Platform Server version. Please publish 'Charts' to fix it.
Module 'Users' was deployed with an old OutSystems Platform Server version. Please publish 'Users' to fix it.
Module 'RichWidgets' was deployed with an old OutSystems Platform Server version. Please publish 'RichWidgets' to fix it."
Example screenshot of the warning while deploying through Service Studio:
 

Cause

This is a a side-effect caused by a recent hot-fix OutSystems deployed on Personal Environments.

Resolution

This message is just a warning and has no impact on either the deployment of your Application or its behavior at run-time.

Nevertheless, to resolve this issue please Create a 'Current Running Version' of your entire factory (System_Components included) and republish it.